Subject: Re: Program launched under rxvt asks for user input in original prompt
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Tue, 29 Mar 2005 08:01:51 -0800

Mikael wrote:

> I tried again with your configure options (previously I simply
> had --without-server) and guess, what: compilation still fails with the
> following error:
> In file included from term.c:62:
> /usr/include/curses.h:717: error: conflicting types for `tparm'
> /usr/include/termcap.h:49: error: previous declaration of `tparm'

Hmm.  I just checked and in my build directory nothing was built under
cmd-line-tools -- so it didn't even try to compile that stuff.  I used
--without-readline and left --with-libedit undefined.  According to the
configure script,

# We support next variants of compilation:
#                              --with-readline
#                |       yes      |  no  |               undefined
# --with-libedit |                |      |
# ---------------+----------------+------+----------------------------------
#       yes      |      ERROR!    |   use libedit from mysql sources
# ---------------+----------------+------+----------------------------------
#       no       | use readline   | use system readline or external libedit
#                | from mysql     | according to results of m4 tests
# ---------------+ sources (if it +      +----------------------------------
#    undefined   | is presented)  |      | use libedit from mysql sources

That means that it should use the system readline and none of the bundled ones:

Found: C:\cygwin\usr\local\bin\mysql.exe
C:/cygwin/usr/local/bin/mysql.exe
  C:\cygwin\usr\local\lib\bin\cygmysqlclient-14.dll
    C:\cygwin\bin\cygcrypto-0.9.7.dll
      C:\cygwin\bin\cygwin1.dll
        C:\WINXP\System32\ADVAPI32.DLL
          C:\WINXP\System32\ntdll.dll
          C:\WINXP\System32\KERNEL32.dll
          C:\WINXP\System32\RPCRT4.dll
    C:\cygwin\bin\cygssl-0.9.7.dll
    C:\cygwin\bin\cygz.dll
  C:\cygwin\bin\cygreadline6.dll  <<<<<<<
    C:\cygwin\bin\cygncurses-8.dll
    C:\WINXP\System32\USER32.dll
      C:\WINXP\System32\GDI32.dll

So you either are missing some packages (though I don't know how, as all the
readline packages are in 'base' IIRC) or you didn't "make distclean" before
reconfiguring.

On another note... with a little further minor fiddling both the mysql server
itself as well as DBD::mysql build and seem to work!  I'm letting it run the
sql-bench tests now, but so far it's passing.  I'm sure performance is not all
that great though...

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/